Query Global Voicemail Greeting List
Query the list of global voicemail greetings.
Request URL
GET {base_url}/{api_path}/vm_global_greeting/list?access_token={access_token}
Request parameters
No request parameters. Send the request URL directly to get the list of global voicemail greetings.
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| total_number | Integer | The total number of global voicemail greetings. |
| greeting_list | Array <Greeting_Info> | The basic information of each global voicemail greeting. |
Greeting_Info
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of the greeting. |
| file | String | The filename of the greeting. |
| suffix | String | The file extension of the greeting.
|
| type | String | The greeting type.
|
| real_filename | String | The full filename (including the file extension) of the greeting. |
Examples
Request example
GET /openapi/v1.0/vm_global_greeting/list?access_token=UIFGAl0HUpg8i78V0Z6nCx5YghKqE235 HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"total_number": 4,
"greeting_list": [
{
"id": 48,
"file": "OfficeClosed.wav",
"suffix": ".wav",
"type": "record",
"real_filename": "OfficeClosed.wav"
},
{
"id": 49,
"file": "USProgresstone.wav",
"suffix": ".wav",
"type": "record",
"real_filename": "USProgresstone.wav"
},
{
"id": 50,
"file": "Onhold.wav",
"suffix": ".wav",
"type": "record",
"real_filename": "Onhold.wav"
},
{
"id": 1,
"file": "Welcome.wav",
"suffix": ".wav",
"type": "record",
"real_filename": "Welcome.wav"
}
]
}